#
# Cookbook Name:: chadu
# Recipe:: default
#
# Copyright 2013, YOUR_COMPANY_NAME
#
# All rights reserved - Do Not Redistribute
#

if ::File.exists?('/usr/bin/chadu')
    first_run = 'no'
else
    first_run = 'yes'
end

if first_run == 'yes'
    execute "chadu-download" do
        command "wget -O /usr/bin/chadu https://raw.github.com/jophinep/chadu/master/chadu"
        ignore_failure true
    end

    execute "chadu-mod" do
        command "chmod +rx /usr/bin/chadu"
        ignore_failure true
    end

    execute "chadu-alias" do
        command "cd && echo 'alias chadu=\". chadu\"' >> ~/.bashrc"
        ignore_failure true
    end

    execute "chadu-source" do
        command "source ~/.bashrc"
        ignore_failure true
    end
end
